%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name YAML
%global channel pear.symfony-project.com

Name:           php-symfony-YAML
Version:        1.0.6
Release:        1%{?dist}
Summary:        The Symfony YAML Component

Group:          Development/Libraries
License:        MIT
URL:            http://components.symfony-project.org/yaml/
Source0:        http://pear.symfony-project.com/get/%{pear_name}-%{version}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-channel(%{channel})

Requires(post): php-channel(%{channel})
Requires(postun): php-channel(%{channel})
Requires:       php-channel(%{channel})
Requires:       php-common >= 5.2.4

Provides:       php-pear(%{channel}/%{pear_name}) = %{version}

%description
The Symfony YAML Component.

Symfony YAML is a PHP library that parses YAML strings and converts them to
PHP arrays. It can also converts PHP arrays to YAML strings. 


%prep
%setup -q -c
# Fix 1.0.5 release date http://trac.symfony-project.org/ticket/9545
%{__sed} -i -e s/2010-02-22/2011-02-22/ package.xml
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

cd %{pear_name}-%{version}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%doc %{pear_docdir}/%{pear_name}
%{pear_phpdir}/SymfonyComponents
%{pear_xmldir}/%{name}.xml

%changelog
* Sat Jul  2 2011 Remi Collet <Fedora@famillecollet.com> - 1.0.6-1
- Version 1.0.6 (stable) - API 1.0.0 (stable)
- move doc in /usr/share/doc/pear
- add generated CHANGELOG

* Wed Apr 07 2010 Remi Collet <Fedora@famillecollet.com> - 1.0.3-1
- new version 1.0.3 - API 1.0.0

* Sun Jan 03 2010 Remi Collet <Fedora@famillecollet.com> - 1.0.2-1
- initial packaging

